import { BizError } from "../../util/bizError";
import { getInterfaceByInterfaceName } from "./cronJob";

export async function getHyydfb() {
    let interfaceName = "行业用电分布";
    let {basicData, demonstrationAreaIndustryElectricity, concentrationAnalysisOfKeyIndustries, electricityConsumptionByIndustry} = await getInterfaceByInterfaceName(interfaceName);
    // let basicData;
    // let demonstrationAreaIndustryElectricity;
    // let concentrationAnalysisOfKeyIndustries;
    // let electricityConsumptionByIndustry;

    if (!basicData) throw new BizError(`${interfaceName} 缺少参数 chargingFacilities` );

    let basicInfo = [
        {示范区行业用电分布: basicData.demonstrationAreaIndustryElectricity}
    ];

    //示范区行业用电分布
    let {industrial, publicServiceAndManagementOrganization, realEstate, wholesaleAndRetail, informationTechnologyServices, transportationAndWarehousingAndPostalServices,
        constructionIndustry, accommodationAndCatering, fisheries, leasingAndBusinessService, financialIndustry} = demonstrationAreaIndustryElectricity;
    
    let areaIndustryElectricity = [
        {'工业': industrial},
        {'公共服务及管理组织': publicServiceAndManagementOrganization},
        {'房地产业': realEstate},
        {'批发和零售业': wholesaleAndRetail},
        {'信息传输、软件和信息技术服务业': informationTechnologyServices},
        {'交通运输、仓储和邮政服务': transportationAndWarehousingAndPostalServices},
        {'建筑业': constructionIndustry},
        {'住宿和餐饮业': accommodationAndCatering},
        {'农、林、牧、渔业': fisheries},
        {'租赁和商务服务业': leasingAndBusinessService},
        {'金融业': financialIndustry},
    ]

    //重点行业集中度年度分析（青浦）
    let concentrationAnalysis;
    let ly;
    let xxjs;
    let xdwl;
    concentrationAnalysisOfKeyIndustries.forEach( info => {
        let {keyIndustries, concentrationAnalysis} = info;
        if (keyIndustries == "旅游") {
            ly = concentrationAnalysis;
        } else if(keyIndustries == "信息技术") {
            xxjs = concentrationAnalysis;
        } else if(keyIndustries == "现代物流") {
            xdwl = concentrationAnalysis;
        }
    })

    concentrationAnalysis = {旅游: ly, 信息技术: xxjs, 现代物流: xdwl};

    //三地各行业用电量
    let electricityInfo;
    let qingPuAreaData = {};
    let wuJiangAreaData = {};
    let jiaShanCountyData = {};
    electricityConsumptionByIndustry.forEach( info => {
        let {industryName, qingPuArea, wuJiangArea, jiaShanCounty} = info;
        qingPuAreaData[industryName] = qingPuArea;
        wuJiangAreaData[industryName] = wuJiangArea;
        jiaShanCountyData[industryName] = jiaShanCounty;
    })
    electricityInfo = {青浦区: qingPuAreaData, 吴江区: wuJiangAreaData, 嘉善县: jiaShanCountyData};

    
    

    return {basicInfo, areaIndustryElectricity, concentrationAnalysis, electricityInfo};
}
