import { BizError } from "../../util/bizError";
import { getInterfaceByInterfaceName } from "./cronJob";

export async function getJjjqd() {
    let interfaceName = "经济景气度";
    let {basicData, prosperityIndexOfKeyRegions, industrialDistribution, economicSentimentIndex} = await getInterfaceByInterfaceName(interfaceName);
    // let basicData;
    // let prosperityIndexOfKeyRegions;
    // let industrialDistribution;
    // let economicSentimentIndex;

    if (!basicData) throw new BizError(`${interfaceName} 缺少参数 basicData` );
    if (!prosperityIndexOfKeyRegions) throw new BizError(`${interfaceName} 缺少参数 prosperityIndexOfKeyRegions` );
    if (!industrialDistribution) throw new BizError(`${interfaceName} 缺少参数 industrialDistribution` );
    if (!economicSentimentIndex) throw new BizError(`${interfaceName} 缺少参数 economicSentimentIndex` );

    let {demonstrationAreaEconomicProsperity, wujiangDistrict, qingpuDistrict, jiashanCounty} = basicData;
    let basicInfo = [
        {示范区经济景气指数: demonstrationAreaEconomicProsperity},
        {吴江区: wujiangDistrict},
        {青浦区: qingpuDistrict},
        {嘉善县: jiashanCounty}
    ];

    //重点区域景气指数（青浦）
    let prosperity = {};
    prosperityIndexOfKeyRegions.forEach( info => {
        let {areaName, prosperityIndex} = info;
        prosperity[areaName] = prosperityIndex;
    })

    //行业景气指数
    let {informationTechnologyServices, leasingAndBusinessService, wholesaleAndRetail, realEstate, constructionIndustry, transportationAndWarehousingAndPostalServices, 
        industrial, accommodationAndCatering, publicServiceAndManagementOrganization, fisheries, financialIndustry} = industrialDistribution;
    
    let industrialInfo = [
        {'信息技术服务业': informationTechnologyServices},
        {'租赁和商务服务业': leasingAndBusinessService},
        {'批发和零售业': wholesaleAndRetail},
        {'房地产业': realEstate},
        {'建筑业': constructionIndustry},
        {'交通运输、仓储和邮政服务': transportationAndWarehousingAndPostalServices},
        {'工业': industrial},
        {'住宿和餐饮业': accommodationAndCatering},
        {'公共服务及管理组织': publicServiceAndManagementOrganization},
        {'农、林、牧、渔业': fisheries},
        {'金融业': financialIndustry}
    ];

    //经济景气指数趋势分析
    let economicInfo = {};
    economicSentimentIndex.forEach( info => {
        let {year, trend} = info;
        economicInfo[year] = trend;
    })

    return {basicInfo, prosperity, industrialInfo, economicInfo};
}